This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999945 - packages are listed without architecture
packages are listed without architecture
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Ales Dujicek
:
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-08-22 08:16 EDT by Tomas Lestach
Modified: 2015-01-13 04:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:55:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2013-08-22 08:16:55 EDT
Description of problem:
When associating packages with an erratum, the offered package listing does not contain architecture. It may happen you see always two lines that look the same, but you cannot distinguish which line represents a i686 package and which a x86_64 package.

Version-Release number of selected component (if applicable):
sat560

How reproducible:
always

Steps to Reproduce:
1. have a x86_64 channel with two packages of same nevr, one i686 the other x86_64
2. create an erratum
3. Navigate to Manage Errata - <erratum> - Packages - Add
4. on /rhn/errata/manage/AddPackages.do?eid=<eid> select the channel with packages from step 1.

Actual results:
You see two lines:
zlib-1.2.3-26.el6	 <x86_64 channel>
zlib-1.2.3-26.el6        <x86_64 channel>
and it's unclear with package is of what architecture

Expected results:
zlib-1.2.3-26.el6.i686	   <x86_64 channel>
zlib-1.2.3-26.el6.x86_64   <x86_64 channel>
Comment 1 Tomas Lestach 2013-08-22 08:17:27 EDT
spacewalk.git: edffb17aa67edba1794fda2a016c189aa58cedfa
Comment 4 Clifford Perry 2015-01-13 04:55:12 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.